$scriptPath = $PSScriptRoot
$osLanguage  = (Get-CimInstance Win32_OperatingSystem).OSLanguage

# Remove MS Edge
$rmedgePackage = Join-Path $scriptPath "Remove-Edge.exe"
Start-Process -FilePath $rmedgePackage -Wait

# Microsoft Visual C++ Redistributable installation
$vcRedistPackage = Join-Path $scriptPath "VisualCppRedist_AIO_x86_x64.exe"
Start-Process -FilePath $vcRedistPackage -ArgumentList "/y" -Wait

# 7-Zip installation
$sevenZipPackage = Join-Path $scriptPath "7z2409-x64.exe"
Start-Process -FilePath $sevenZipPackage -ArgumentList "/S" -Wait

# Google Chrome installation
$chromePackage = Join-Path $scriptPath "googlechromestandaloneenterprise64.msi"
Start-Process -FilePath $chromePackage -ArgumentList "/quiet /norestart" -Wait

# IrfanView installation
$irfanViewPackage = Join-Path $scriptPath "iview470_x64_setup.exe"
Start-Process -FilePath $irfanViewPackage -ArgumentList "/silent /desktop=1 /group=1 /allusers=1" -Wait

# K-Lite Codec Pack installation
$kLitePackage = Join-Path $scriptPath "K-Lite_Codec_Pack_1885_Standard.exe"
Start-Process -FilePath $kLitePackage -ArgumentList "/VERYSILENT /NORESTART /SP- /SUPPRESSMSGBOXES" -Wait

# PotPlayer installation
$potPlayerPackage = Join-Path $scriptPath "PotPlayerSetup64.exe"
Start-Process -FilePath $potPlayerPackage -ArgumentList "/S" -Wait

# Windows Terminal installation
$wtPackage = Join-Path $scriptPath "Microsoft.WindowsTerminal_1.22.10731.0"
Push-Location $wtPackage
Add-AppxProvisionedPackage -Online -PackagePath .\a406e23207d442ac87308c362a9bf582.msixbundle -DependencyPackagePath .\Microsoft.UI.Xaml.2.8_8.2501.31001.0_x64__8wekyb3d8bbwe.appx, .\Microsoft.VCLibs.140.00.UWPDesktop_14.0.33728.0_x64__8wekyb3d8bbwe.Appx -LicensePath .\a406e23207d442ac87308c362a9bf582_License1.xml -CustomDataPath .\MPAP_a406e23207d442ac87308c362a9bf582_001.provxml
Pop-Location

# WinRAR installation
$winrarPackage = ""
switch ($osLanguage) {
    4 { # Chinese 
        $winrarPackage = Join-Path $scriptPath "winrar-x64-711sc.exe"
        break
    }
    2052 { # Chinese 
        $winrarPackage = Join-Path $scriptPath "winrar-x64-711sc.exe"
        break
    }
    1041 { # Japanese
        $winrarPackage = Join-Path $scriptPath "winrar-x64-711jp.exe"
        break
    }
    default {
        $winrarPackage = Join-Path $scriptPath "winrar-x64-711.exe"
    }
}
Start-Process -FilePath $winrarPackage -ArgumentList "/S" -Wait
